Bug 190519 - CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
Blocks: 175040
  Show dependency treegraph
Reported: 2006-05-03 05:16 EDT by Mark J. Cox
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 16:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox 2006-05-03 05:16:18 EDT
+++ This bug was initially created as a clone of Bug #178028 +++

PHP 5.1.2 has been released:

The release announcement mentions this security fix:
    * Possible cross-site scripting problems in certain error conditions.

The problem exists in the way PHP displays error messages.  This issue is only
exploitable when 'display_errors' and 'html_errors' are both set to 'On' in the
PHP configuration file.  When a HTML error message was being generated, the
output was not properly sanitized, which could allow an attacker to insert
arbitrary HTML, thus allowing a XSS attack.

This issue is only exploitable if 'html_errors' is on, which the configuration
file cleary states should not be used on production machines.

I have verified this flaw exists in the PHP 4.3 and 5.1 branches.
Comment 3 Red Hat Bugzilla 2006-05-23 16:22:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.